UserManagementService
Operations
This operation Resets a user's password.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequiredExample:
The Symitar user number.
1995Responses
200
Successful operation.
application/json
PasswordstringOptionalExample:
The Symitar user password.
P@ssw0rd123post
/resetUserPassword200
Successful operation.
This operation Sets the user's password.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerOptionalExample:
The Symitar user number.
1995PasswordstringOptionalExample:
The Symitar user password.
P@ssw0rd123Responses
200
Successful operation.
application/json
post
/setUserPassword200
Successful operation.
This operation Logs on a user to the system.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
StatusMessagestringOptionalExample:
Additional message detailing the status.
["object Object"]TokenIdstringOptional
The ID from using the logon operation in the UserManagementService.
post
/logon200
Successful operation.
This operation Logs off a user from the system.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
StatusMessagestringOptional
Additional message detailing the status.
post
/logoff200
Successful operation.
Last updated
Was this helpful?